Package org.lwjgl.opengl

# Class ARBGeometryShader4

java.lang.Object
org.lwjgl.opengl.ARBGeometryShader4

public final class ARBGeometryShader4 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB`
Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_ARB`
Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB`
Returned by CheckFramebufferStatusEXT:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB`
Returned by CheckFramebufferStatusEXT:
`static final int`
`GL_GEOMETRY_INPUT_TYPE_ARB`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_GEOMETRY_OUTPUT_TYPE_ARB`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_GEOMETRY_SHADER_ARB`
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:
`static final int`
`GL_GEOMETRY_VERTICES_OUT_ARB`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_LINE_STRIP_ADJACENCY_ARB`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_LINES_ADJACENCY_ARB`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VARYING_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_VARYING_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PROGRAM_POINT_SIZE_ARB`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetFloatv, GetDoublev, and GetBooleanv:
`static final int`
`GL_TRIANGLE_STRIP_ADJACENCY_ARB`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:
`static final int`
`GL_TRIANGLES_ADJACENCY_ARB`
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFramebufferTextureARB(int target, int attachment, int texture, int level)`
`static void`
`glFramebufferTextureFaceARB(int target, int attachment, int texture, int level, int face)`
`static void`
`glFramebufferTextureLayerARB(int target, int attachment, int texture, int level, int layer)`
`static void`
`glProgramParameteriARB(int program, int pname, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GEOMETRY_SHADER_ARB

public static final int GL_GEOMETRY_SHADER_ARB
Accepted by the <type> parameter of CreateShader and returned by the <params> parameter of GetShaderiv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_VERTICES_OUT_ARB

public static final int GL_GEOMETRY_VERTICES_OUT_ARB
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_INPUT_TYPE_ARB

public static final int GL_GEOMETRY_INPUT_TYPE_ARB
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_GEOMETRY_OUTPUT_TYPE_ARB

public static final int GL_GEOMETRY_OUTPUT_TYPE_ARB
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB

public static final int GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB

public static final int GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_VARYING_COMPONENTS_ARB

public static final int GL_MAX_VERTEX_VARYING_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VARYING_COMPONENTS_ARB

public static final int GL_MAX_VARYING_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB

public static final int GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB

public static final int GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB

public static final int GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_LINES_ADJACENCY_ARB

public static final int GL_LINES_ADJACENCY_ARB
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_LINE_STRIP_ADJACENCY_ARB

public static final int GL_LINE_STRIP_ADJACENCY_ARB
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_TRIANGLES_ADJACENCY_ARB

public static final int GL_TRIANGLES_ADJACENCY_ARB
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_TRIANGLE_STRIP_ADJACENCY_ARB

public static final int GL_TRIANGLE_STRIP_ADJACENCY_ARB
Accepted by the <mode> parameter of Begin, DrawArrays, MultiDrawArrays, DrawElements, MultiDrawElements, and DrawRangeElements:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB

public static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB
Returned by CheckFramebufferStatusEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB

public static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB
Returned by CheckFramebufferStatusEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB

public static final int GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB
Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_ARB

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_ARB
Accepted by the <pname> parameter of GetFramebufferAttachment- ParameterivEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_POINT_SIZE_ARB

public static final int GL_PROGRAM_POINT_SIZE_ARB
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetFloatv, GetDoublev, and GetBooleanv:

See Also:
  - Constant Field Values

## Method Details

### glProgramParameteriARB

public static void glProgramParameteriARB(int program, int pname, int value)

### glFramebufferTextureARB

public static void glFramebufferTextureARB(int target, int attachment, int texture, int level)

### glFramebufferTextureLayerARB

public static void glFramebufferTextureLayerARB(int target, int attachment, int texture, int level, int layer)

### glFramebufferTextureFaceARB

public static void glFramebufferTextureFaceARB(int target, int attachment, int texture, int level, int face)